# BazaarVoice

Talk to BazaarVoice's API and get back some json you can act on.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'bazaar_voice'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bazaar_voice

## Usage
```
BizaarVoice::Api.configure do |c|
  c.passkey = 'YOUR_API_KEY_GOES_HERE'
  c.protocol = 'http' # defautls to 'https'
  c.host = 'stg.api.bazaarvoice.com' # defautls to production. i.e.: 'api.bazaarvoice.com'
  c.format = 'whatever' # defautls to 'json'
end

# was_helpful / Feedback / Vote
BazaarVoice::Api.was_helpful(true, 123)
#  POST | https://#{host}/data/submitfeedback.json?passkey=#{passkey}&apiversion=#{version}&ContentType=review&FeedbackType=helpfulness&Vote=Positive&ContentId=123

# get all reviews
BizaarVoice::Api.get_reviews({'Limit' => 2, 'Filter' => 'ProductId:O-006-2034-R'})

# get all stories
BizaarVoice::Api.get_stories({'Limit' => 2, 'Filter' => 'ProductId:O-006-2034-R'})

# get all questions
BizaarVoice::Api.get_questions({'Limit' => 2, 'Filter' => 'ProductId:O-006-2034-R'})
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/bazaar_voice. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).


